<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: cvimage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classcvimage.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classcvimage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">cvimage Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining an image of kind IplImage.  
 <a href="classcvimage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvimage_8h_source.html">cvimage.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for cvimage:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classcvimage.png" usemap="#cvimage_map" alt=""/>
  <map id="cvimage_map" name="cvimage_map">
<area href="classio__data.html" title="Abstract class for data types. " alt="io_data" shape="rect" coords="0,112,59,136"/>
<area href="class_mutex.html" title="Class defining a mutex. " alt="Mutex" shape="rect" coords="0,56,59,80"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="0,0,59,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4310036b454463f74998f99439ec5e8d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvimage.html#a4310036b454463f74998f99439ec5e8d">cvimage</a> (<a class="el" href="class_object.html">Object</a> *parent, uint16_t width, uint16_t height, std::string name=&quot;&quot;, int n=1)</td></tr>
<tr class="memdesc:a4310036b454463f74998f99439ec5e8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4310036b454463f74998f99439ec5e8d">More...</a><br/></td></tr>
<tr class="separator:a4310036b454463f74998f99439ec5e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2903dfee95ea8da48fc7109e447e57"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvimage.html#aaa2903dfee95ea8da48fc7109e447e57">~cvimage</a> ()</td></tr>
<tr class="memdesc:aaa2903dfee95ea8da48fc7109e447e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aaa2903dfee95ea8da48fc7109e447e57">More...</a><br/></td></tr>
<tr class="separator:aaa2903dfee95ea8da48fc7109e447e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8068cd8ad5306724a5f62fd562a2849"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvimage.html#af8068cd8ad5306724a5f62fd562a2849">Width</a> (void)</td></tr>
<tr class="memdesc:af8068cd8ad5306724a5f62fd562a2849"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width.  <a href="#af8068cd8ad5306724a5f62fd562a2849">More...</a><br/></td></tr>
<tr class="separator:af8068cd8ad5306724a5f62fd562a2849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad286c166e2d9c51e365833a874f4e63f"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvimage.html#ad286c166e2d9c51e365833a874f4e63f">Height</a> (void)</td></tr>
<tr class="memdesc:ad286c166e2d9c51e365833a874f4e63f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height.  <a href="#ad286c166e2d9c51e365833a874f4e63f">More...</a><br/></td></tr>
<tr class="separator:ad286c166e2d9c51e365833a874f4e63f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classio__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a6566ac61fd85bc2941e74d960217dfca">io_data</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a6566ac61fd85bc2941e74d960217dfca">More...</a><br/></td></tr>
<tr class="separator:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#ae33d6a4c7938d8930ff08ea7e35de93d">~io_data</a> ()</td></tr>
<tr class="memdesc:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ae33d6a4c7938d8930ff08ea7e35de93d">More...</a><br/></td></tr>
<tr class="separator:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a8c160b98afedd230927e4e51b5d99e8a">Size</a> (void)</td></tr>
<tr class="memdesc:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data size.  <a href="#a8c160b98afedd230927e4e51b5d99e8a">More...</a><br/></td></tr>
<tr class="separator:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#aad2271b3383a6e2fe84570d1e74ca23d">SetDataTime</a> (Time time)</td></tr>
<tr class="memdesc:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#aad2271b3383a6e2fe84570d1e74ca23d">More...</a><br/></td></tr>
<tr class="separator:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a829e5b3b1807b666cd0d6be109c0a198">DataTime</a> (void)</td></tr>
<tr class="memdesc:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a829e5b3b1807b666cd0d6be109c0a198">More...</a><br/></td></tr>
<tr class="separator:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#af6dca16c6aa85245803423a2b1872534">Prev</a> (int n)</td></tr>
<tr class="memdesc:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#af6dca16c6aa85245803423a2b1872534">More...</a><br/></td></tr>
<tr class="separator:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_mutex.html">Mutex</a></td></tr>
<tr class="memitem:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#a9e4b1eb4f3d02fe0b3d7c66ab094db42">Mutex</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9e4b1eb4f3d02fe0b3d7c66ab094db42">More...</a><br/></td></tr>
<tr class="separator:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#ac9e9182407f5f74892318607888e9be4">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac9e9182407f5f74892318607888e9be4">More...</a><br/></td></tr>
<tr class="separator:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#add1b327c351cdac82746a925f7d92878">GetMutex</a> (void)</td></tr>
<tr class="memdesc:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#add1b327c351cdac82746a925f7d92878">More...</a><br/></td></tr>
<tr class="separator:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#af03748e67dd3585b65efb8f69b64bf6e">ReleaseMutex</a> (void)</td></tr>
<tr class="memdesc:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#af03748e67dd3585b65efb8f69b64bf6e">More...</a><br/></td></tr>
<tr class="separator:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a460e3c8a520cccca6f7619440647b7a5"><td class="memItemLeft" align="right" valign="top">IplImage *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvimage.html#a460e3c8a520cccca6f7619440647b7a5">img</a></td></tr>
<tr class="memdesc:a460e3c8a520cccca6f7619440647b7a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">IplImage.  <a href="#a460e3c8a520cccca6f7619440647b7a5">More...</a><br/></td></tr>
<tr class="separator:a460e3c8a520cccca6f7619440647b7a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classio__data')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a02d21f7ecb725b003e28c9d355f5712e inherit pub_types_classio__data"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">DataType_t</a> { <a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712eacc6d13332c7dc15cafd49c5c2bc41ed5">Float</a>, 
<a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712ea7672390417e10dc82f153511ea41256e">Int8_t</a>
 }</td></tr>
<tr class="memdesc:a02d21f7ecb725b003e28c9d355f5712e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of data.  <a href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">More...</a><br/></td></tr>
<tr class="separator:a02d21f7ecb725b003e28c9d355f5712e inherit pub_types_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classio__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#aabcbf9c99bc60c72108f8bc79d1c4541">SetSize</a> (size_t size)</td></tr>
<tr class="memdesc:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the size of the reimplemented class data's.  <a href="#aabcbf9c99bc60c72108f8bc79d1c4541">More...</a><br/></td></tr>
<tr class="separator:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a52e2316338ce08a05c38d3b080c70c60">AppendLogDescription</a> (std::string description, <a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">DataType_t</a> datatype)</td></tr>
<tr class="memdesc:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#a52e2316338ce08a05c38d3b080c70c60">More...</a><br/></td></tr>
<tr class="separator:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a3a0a5edfdc5ac78064243d8a5b251633">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a3a0a5edfdc5ac78064243d8a5b251633">More...</a><br/></td></tr>
<tr class="separator:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classio__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a70ae59c9ab8442151b8b85766a1f8381">prev</a></td></tr>
<tr class="memdesc:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a70ae59c9ab8442151b8b85766a1f8381">More...</a><br/></td></tr>
<tr class="separator:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining an image of kind IplImage. </p>
<p>IplImage is an image struct defined in OpenCV. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4310036b454463f74998f99439ec5e8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cvimage::cvimage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classio__data.html" title="Abstract class for data types. ">io_data</a> representing an IplImage.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">width</td><td>image width </td></tr>
    <tr><td class="paramname">height</td><td>image height </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa2903dfee95ea8da48fc7109e447e57"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cvimage::~cvimage </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="af8068cd8ad5306724a5f62fd562a2849"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t cvimage::Width </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Width. </p>
<dl class="section return"><dt>Returns</dt><dd>width </dd></dl>

</div>
</div>
<a class="anchor" id="ad286c166e2d9c51e365833a874f4e63f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t cvimage::Height </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Height. </p>
<dl class="section return"><dt>Returns</dt><dd>height </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a460e3c8a520cccca6f7619440647b7a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IplImage* cvimage::img</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>IplImage. </p>
<dl class="section return"><dt>Returns</dt><dd>IplImage </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classcvimage.html">cvimage</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
